<?php
/**
 * This example shows sending a message using PHP's mail() function.
 */
 

require '../PHPMailerAutoload.php';

include("../../conexion.php");
$result=mysql_query("SELECT * FROM configuracion where co_codi=1;",
$conexion);
while($row=mysql_fetch_row($result)){
$N=$N+1;
	$xco_codi=$row[0];
	$xco_ema1=$row[1];		
	$xco_ema2=$row[2];
	$xco=$row[4];		
}

$xlastname = $_REQUEST["xlastname"];
$xfirstname = $_REQUEST["xfirstname"];
$xtelephone = $_REQUEST["xtelephone"];
$xemail = $_REQUEST["xemail"];
$xcity = $_REQUEST["xcity"];			
$xpostalcode = $_REQUEST["xpostalcode"];
$xreason = $_REQUEST["xreason"];
$xcontact = $_REQUEST["xcontact"];	
$xmensaje = $_REQUEST["xmensaje"];				

$f_nombre=$xlastname." ".$xfirstname;

$r_guarda_t=mysql_query("insert into testimonios (te_titu,
												te_titu_in,
												te_desc_in,
												te_publ,
												te_loca,
												te_fech_reg,
												te_ciud,
												te_esta,
												te_email,
												ta_scod,
												te_tipo) 
										values ('$xtelephone',
												'$xreason',
												'$xmensaje',
												'0',
												'$f_nombre',
												NOW(),
												'$xcity',
												'$xpostalcode',
												'$xemail',
												'$f_rating',
												'contacto');",	
$conexion);


if($r_guarda_t){
		
	//Create a new PHPMailer instance
	$mail = new PHPMailer;
	//Set who the message is to be sent from
	$mail->setFrom($xemail, $f_nombre);
	//Set an alternative reply-to address
	$mail->addReplyTo($xco_ema2, $f_nombre);
	//Set who the message is to be sent to
	$mail->addAddress($xco_ema1, $xco);
	//Set the subject line
	$mail->Subject = 'Contactos y sugerencias';
	//Read an HTML message body from an external file, convert referenced images to embedded,
	//convert HTML into a basic plain-text alternative body
	
	//url donde se encuentra ubicado el form
	$url = "http://www.ismypage.com/phpmailer/examples/plantilla_contactos.php";
	//Los datos a enviar cómo parámetros
	$datos = array('xlastname' 		=> $xlastname,
					'xfirstname' 	=> $xfirstname,
					'xtelephone' 	=> $xtelephone,
					'xemail' 		=> $xemail,
					'xcity' 		=> $xcity,		
					'xpostalcode' 	=> $xpostalcode,
					'xreason' 		=> $xreason,
					'xcontact' 		=> $xcontact,	
					'xmensaje' 		=> $xmensaje
				  );

	//Indicamos que utilizamos el protocolo http, método post, cabecera de formulario, y los parámetros de la consulta.
	$opciones = array('http' => array(
					'method'  => 'POST',
					'header'  => 'Content-type: application/x-www-form-urlencoded',
					'content' => http_build_query($datos)
	));

	//flujo de opciones.
 	$contexto  = stream_context_create($opciones);
 
	//Solicitar el contenido
	//$respuesta = file_get_contents($url, false, $contexto);
	$mail->msgHTML(file_get_contents($url, false, $contexto) );

	//Imprimimos la respuesta del servidor
	//echo $respuesta;
	
	
	//$mail->msgHTML(file_get_contents('plantilla_contactos.php'), dirname(__FILE__));
	
	
	//Replace the plain text body with one created manually
	//$mail->AltBody = 'Este es el texto plano que corresponde a parte del cuerpo del mensaje.';
	$mail->AltBody = $xemail;
	
	//Attach an image file
	//$mail->addAttachment('images/phpmailer_mini.png');
	//$mail->addAttachment('images/phpmailer.png');
	
	//send the message, check for errors
	
	
	
	
	
	/*******  ENVIO DE EMAIL AL CLIENTE *****/
	$mail2 = new PHPMailer;
	$mail2->setFrom($xco_ema1, $xco);
	$mail2->addAddress($xemail, $f_nombre);
	$mail2->Subject = 'Contactos y sugerencias';

	$url2 = "http://www.ismypage.com/phpmailer/examples/plantilla_contactos_confirmacion.php";
	
	$mail2->msgHTML(file_get_contents($url2, false, $contexto) );	
	$mail2->send();
	
	
	
	
	
	if (!$mail->send()) {
		echo "Error en el envio: " . $mail->ErrorInfo;
	} else {
		echo "El Mensaje ha sido enviado satisfactoriamente...";
	}

}else{
	echo "Error en el registro de datos. Vuelva a intentar.";
}	